LibreOffice: cppu::WeakImplHelper1< Ifc1 > Class Template Reference

LibreOffice LibreOffice 6.4 SDK C/C++ API Reference

Classes | Public Member Functions | List of all members
cppu::WeakImplHelper1< Ifc1 > Class Template Reference

Implementation helper implementing interfaces css::lang::XTypeProvider and css::uno::XInterface which supports weak mechanism to be held weakly (supporting css::uno::XWeak through cppu::OWeakObject). More...

`#include <implbase1.hxx>`

Inheritance diagram for cppu::WeakImplHelper1< Ifc1 >:

## Public Member Functions
virtual css::uno::Any | queryInterface (css::uno::Type const &rType) SAL_OVERRIDE
| Basic queryInterface() implementation supporting com::sun::star::uno::XWeak and com::sun::star::uno::XInterface. More...
virtual void | acquire () SAL_OVERRIDE throw ()
| increasing m_refCount More...
virtual void | release () SAL_OVERRIDE throw ()
| decreasing m_refCount More...
virtual css::uno::Sequence< css::uno::Type > | getTypes () SAL_OVERRIDE
virtual css::uno::Sequence< sal_Int8 > | getImplementationId () SAL_OVERRIDE
Public Member Functions inherited from cppu::OWeakObject
| OWeakObject ()
| Default Constructor. More...
| OWeakObject (const OWeakObject &)
| Dummy copy constructor. More...
OWeakObject & | operator= (const OWeakObject &)
| Dummy assignment operator. More...
virtual css::uno::Reference< css::uno::XAdapter > | queryAdapter () SAL_OVERRIDE
| XWeak::queryAdapter() implementation. More...
| operator css::uno::Reference< css::uno::XInterface > ()
| Cast operator to XInterface reference. More...

## Additional Inherited Members
Protected Member Functions inherited from cppu::OWeakObject
virtual | ~OWeakObject () COVERITY_NOEXCEPT_FALSE
| Virtual dtor. More...
void | disposeWeakConnectionPoint ()
| disposes and resets m_pWeakConnectionPoint More...
Protected Attributes inherited from cppu::OWeakObject
oslInterlockedCount | m_refCount
| reference count. More...

## Detailed Description

### template<class Ifc1>
class cppu::WeakImplHelper1< Ifc1 >

Implementation helper implementing interfaces css::lang::XTypeProvider and css::uno::XInterface which supports weak mechanism to be held weakly (supporting css::uno::XWeak through cppu::OWeakObject).

Derive:
  Inherit from this class giving your interface(s) to be implemented as template argument(s). Your sub class defines method implementations for these interface(s).

These classes are used when you implement your UNO component. WeakImplHelper1 till WeakImplHelper12 can be used when you want to implement 1 till 12 interfaces in your component.

## Member Function Documentation

## ◆ acquire()

template<class Ifc1 >

virtual void cppu::WeakImplHelper1< Ifc1 >::acquire | ( |  | ) |
throw | ( |
| ) |  |
| inlinevirtual

increasing m_refCount

Reimplemented from cppu::OWeakObject.

## ◆ getImplementationId()

template<class Ifc1 >

virtual css::uno::Sequence< sal_Int8 > cppu::WeakImplHelper1< Ifc1 >::getImplementationId | ( |  | ) |
| inlinevirtual

## ◆ getTypes()

template<class Ifc1 >

virtual css::uno::Sequence< css::uno::Type > cppu::WeakImplHelper1< Ifc1 >::getTypes | ( |  | ) |
| inlinevirtual

## ◆ queryInterface()

template<class Ifc1 >

virtual css::uno::Any cppu::WeakImplHelper1< Ifc1 >::queryInterface | ( | css::uno::Type const & | rType | ) |
| inlinevirtual

Basic queryInterface() implementation supporting com::sun::star::uno::XWeak and com::sun::star::uno::XInterface.

Parameters

  rType | demanded type

Returns
  demanded type or empty any

Reimplemented from cppu::OWeakObject.

## ◆ release()

template<class Ifc1 >

virtual void cppu::WeakImplHelper1< Ifc1 >::release | ( |  | ) |
throw | ( |
| ) |  |
| inlinevirtual

decreasing m_refCount

Reimplemented from cppu::OWeakObject.

The documentation for this class was generated from the following file:

- cppuhelper/implbase1.hxx